## RygelPlaylistItem

RygelPlaylistItem — Represents a playlist item.

## Functions

RygelPlaylistItem * | rygel_playlist_item_new ()

## Types and Values

#define | RYGEL_TYPE_PLAYLIST_ITEM
#define | RYGEL_PLAYLIST_ITEM_UPNP_CLASS
struct | RygelPlaylistItem
struct | RygelPlaylistItemClass

## Object Hierarchy

        GObject
        ╰── RygelMediaObject
            ╰── RygelMediaItem
                ╰── RygelMediaFileItem
                    ╰── RygelPlaylistItem

## Description

These objects correspond to DLNA's DIDL_S items.

## Functions

### rygel_playlist_item_new ()

    RygelPlaylistItem *
    rygel_playlist_item_new (const gchar *id,
                             RygelMediaContainer *parent,
                             const gchar *title,
                             const gchar *upnp_class);

#### Parameters

id |  |
parent |  |
title |  |
upnp_class |  |

## Types and Values

### RYGEL_TYPE_PLAYLIST_ITEM

    #define RYGEL_TYPE_PLAYLIST_ITEM (rygel_playlist_item_get_type ())

The type for RygelPlaylistItem.

### RYGEL_PLAYLIST_ITEM_UPNP_CLASS

    #define RYGEL_PLAYLIST_ITEM_UPNP_CLASS "object.item.playlistItem"

### struct RygelPlaylistItem

    struct RygelPlaylistItem;

Represents a playlist item.

These objects correspond to DLNA's DIDL_S items.

### struct RygelPlaylistItemClass

    struct RygelPlaylistItemClass {
    	RygelMediaFileItemClass parent_class;
    };

The class structure for `RYGEL_TYPE_PLAYLIST_ITEM`. All the fields in this structure are private and should never be accessed directly.

#### Members